<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<title>Cadastro de Usurios</title>
	<link rel="stylesheet" href="css/bootstrap.min.css" />
	<link rel="stylesheet" href="css/style.css" />
	<link rel="stylesheet" href="css/sb-admin.css" />
	<link rel="stylesheet" href="font-awesome/css/font-awesome.min.css"
		type="text/css" />

	<script src="js/jquery.min.js"></script>
	<script src="js/bootstrap.min.js"></script>

</h:head>
<h:body style="background: #4e8ce5;">
	<div class="row" style="margin-top: 3%">
		<div
			class="col-lg-6 col-sm-6 col-xs-8 col-lg-offset-3 col-sm-offset-3 col-xs-offset-2">
			<div class="jumbotron"
				style="border-radius: 25px; box-shadow: 5px 5px 80px #000000;">
				<h:form id="adduser" style="width : 90%; margin-left: 5%;">
					<h2 class="form-signin-heading text-center">Cadastro de
						Usurio</h2>
					<p:outputPanel rendered="#{dashboardView.hasErrorMessage()}">
						<br></br>
						<ui:repeat value="#{facesContext.messageList}" var="message">
							<div class="row" style="margin-left: 1%">
								<span class="label label-danger"><h:outputText
										value="#{message.summary}" escape="false" /></span>
							</div>
						</ui:repeat>
					</p:outputPanel>
					<br></br>
					<div class="form-group">
						<h:outputLabel id="username" value="Nome" />
						<h:inputText class="form-control" required="true"
							a:placeholder="Nome completo"
							requiredMessage="Digite o nome do usurio."
							value="#{sessaoBean.usuarioAdd.nome}" maxlength="150" />
					</div>
					<div class="form-group">
						<h:outputLabel id="email" value="E-mail" />
						<h:inputText class="form-control" required="true"
							a:placeholder="exemplo@gmail.com"
							requiredMessage="Digite o e-mail."
							value="#{sessaoBean.usuarioAdd.email}" />
					</div>
					<div class="form-group">
						<h:outputLabel id="senha" value="Senha" />
						<h:inputSecret requiredMessage="Digite a senha"
							a:placeholder="senha" class="form-control" required="true"
							value="#{sessaoBean.usuarioAdd.senha}" />
					</div>
					<div class="form-group">
						<h:commandLink value="Salvar" class="btn btn-lg btn-success"
							action="#{sessaoBean.adicionarUsuario}">
							<i class="fa fa-fw fa-save" />
						</h:commandLink>
						<h:outputText value=" " />
						<h:commandLink value="Voltar" class="btn btn-lg btn-primary"
							action="login" immediate="true">
							<i class="fa fa-fw fa-remove" />
						</h:commandLink>
					</div>
				</h:form>
			</div>
		</div>
	</div>
</h:body>
</html>
